Skip to main content

RunAgent

Run an agent. This API supports both streaming and non-streaming responses.

Operation description

Before you use this API, review the billing model and pricing for Tongyi Dianjin. Prerequisites You have activated Alibaba Cloud Model Studio and Tongyi Dianjin. Obtain a workspace ID: Obtain your workspace ID.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

RAM authorization

The table below describes the authorization required to call this API. You can define it in a Resource Access Management (RAM) policy. The table's columns are detailed below:
  • Action: The actions can be used in the Action element of RAM permission policy statements to grant permissions to perform the operation.
  • API: The API that you can call to perform the action.
  • Access level: The predefined level of access granted for each API. Valid values: create, list, get, update, and delete.
  • Resource type: The type of the resource that supports authorization to perform the action. It indicates if the action supports resource-level permission. The specified resource must be compatible with the action. Otherwise, the policy will be ineffective.
    • For APIs with resource-level permissions, required resource types are marked with an asterisk (*). Specify the corresponding Alibaba Cloud Resource Name (ARN) in the Resource element of the policy.
    • For APIs without resource-level permissions, it is shown as All Resources. Use an asterisk (*) in the Resource element of the policy.
  • Condition key: The condition keys defined by the service. The key allows for granular control, applying to either actions alone or actions associated with specific resources. In addition to service-specific condition keys, Alibaba Cloud provides a set of common condition keys applicable across all RAM-supported services.
  • Dependent action: The dependent actions required to run the action. To complete the action, the RAM user or the RAM role must have the permissions to perform all dependent actions.

Action

Access level

Resource type

Condition key

Dependent action

dianjin:RunAgent

none

*All Resource

*

NoneNone

Request syntax

POST /{workspaceId}/api/bot/thread/run HTTP/1.1

Path Parameters

Parameter

Type

Required

Description

Example

workspaceId

string

Yes

Workspace ID

llm-xxxx

Request parameters

Parameter

Type

Required

Description

Example

body

object

No

Request body parameters

modelId

string

No

Model ID. Optional. If empty, the agent uses the model from its configuration.

qwen-plus

threadId

string

No

Thread ID. Optional. If empty, a new thread starts.

4vlag5ken3

botId

string

Yes

Agent ID

d6zxykawk9

userContent

string

Yes

User input

Who are you

stream

boolean

No

Enable streaming. Default is true.

true

versionId

string

No

Version ID to run

w4paqoezm2

useDraft

boolean

No

Use the draft version. Drafts are unpublished versions in the editor. They are unstable. Default is false.

false

userInputs

object

No

More complex user-defined input parameters

{"name": "alice"}

Response elements

Element

Type

Description

Example

object

ResultCode<agentresponse></agentresponse>

success

boolean

Indicates success

true

dataType

string

Data type

null

time

string

Timestamp

2024-01-01 00:00:00

errCode

string

Error code

0

message

string

Error message

ok

data

object

Response data

versionId

string

Agent version ID

w4paqoezm2

traceId

string

Trace ID

5bdb9809856c58acb92001f8ae65773c

threadId

string

Thread ID

4vlag5ken3

functionCallResponses

array<object>

Tool call responses

object

Tool call response

functionName

string

Tool function name

web_search

displayName

string

Tool function display name

Search engine

functionArgs

string

Tool function arguments

{\"query\":\"Weather forecast from January 28 to February 3, 2025\"}

result

string

Tool call result

Sunny weather next week

startTime

string

Start time

2025-01-21 16:37:14

endTime

string

End time

2025-01-21 16:37:14

response

object

Model response

id

string

ID generated by the system for this call.

d91d9afa-7cfc-4235-b012-a6f8e6ffa443

modelId

string

Name of the model used for this call.

qwen-plus

choices

array<object>

Details of the model-generated content.

array<object>

Details of the model-generated content.

index

integer

Index number of the generated result. Default is 0.

0

message

object

Message from the model.

role

string

Role of the model. Fixed value: assistant.

assistant

roleDisplayName

string

Display name of the model's role.

assistant

content

string

Text generated by the model.

The weather is nice next week

finishReason

string

Reason why the model stopped generating content.

stop

created

integer

Creation time

1737448637

time

string

Time

2025-01-21T16:37:17.497206762

inputTokens

integer

Input tokens

766

outputTokens

integer

Output tokens

988

requestId

string

Request ID

EF4B5C9B-3BC8-5171-A47B-4C5CF3DC3258

cost

integer

Duration in milliseconds

null

Streaming API example:

The messageType field indicates the type of each frame.

  • toolDiscovery (tool discovery)
  • functionCall (tool call)
  • toolResponse (tool response)
  • toolStartStep (start a tool processing step)
  • toolEmitStepData (detail data sent during each step)
  • completeStep (complete a tool processing step)
  • answer (answer)
data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"ToolDiscovery","contentGroup":"","content":"{\"toolName\":\"web_search\",\"displayName\":\"Search engine\"}","contentType":"JSON","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:19"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"FunctionCall","contentGroup":"","content":"{\"functionArgs\":\"{\\\"query\\\":\\\"next week's weather\\\"}\",\"functionName\":\"web_search\",\"displayName\":\"Search engine\"}","contentType":"JSON","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:19"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"ToolResponse","contentGroup":"","content":"{\"toolName\":\"web_search\",\"result\":\"{\\\"items\\\":{\\\"item\\\":[{\\\"sc_name\\\":\\\"weather_moji\\\",\\\"weather_moji\\\":{\\\"sc_stype\\\":\\\"BOOK\\\",\\\"wisdomData\\\":{\\\"country\\\":\\\"China\\\",\\\"province\\\":\\\"Zhejiang Province\\\",\\\"city\\\":\\\"Hangzhou City\\\",\\\"district\\\":\\\"Hangzhou City\\\",\\\"realtime_data\\\":{\\\"current\\\":{\\\"real_feel\\\":\\\"13.0\\\",\\\"vis\\\":\\\"5000\\\",\\\"weather\\\":\\\"haze\\\",\\\"comfort\\\":\\\"54\\\",\\\"daytime\\\":\\\"1\\\",\\\"wspd\\\":\\\"2.31\\\",\\\"tips\\\":\\\"Slightly cool but comfortable.\\\",\\\"wind_level\\\":\\\"2\\\",\\\"dewpoint\\\":\\\"-3.0\\\",\\\"icon_weak\\\":\\\"16_weak\\\",\\\"wind_dir_id\\\":\\\"2\\\",\\\"sun_rise\\\":\\\"2025-01-21 06:55:00\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"45\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"obs_time\\\":\\\"2025-01-21 16:45:08\\\",\\\"mslp\\\":\\\"1015\\\",\\\"temp\\\":\\\"15.0\\\",\\\"uvi\\\":\\\"1\\\",\\\"sun_down\\\":\\\"2025-01-21 17:26:00\\\",\\\"weather_id\\\":\\\"34\\\",\\\"humidity\\\":\\\"30\\\",\\\"precip_1h\\\":\\\"0.0\\\",\\\"get_time\\\":\\\"2025-01-21 16:15:03\\\"}},\\\"weather_forecast_data\\\":{\\\"lowest_temp\\\":\\\"-3\\\",\\\"hourly\\\":{\\\"item\\\":[{\\\"real_feel\\\":\\\"13.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"2\\\",\\\"weather\\\":\\\"haze\\\",\\\"predict_date\\\":\\\"2025-01-21\\\",\\\"predict_time\\\":\\\"2025-01-21 16:00:00\\\",\\\"sky\\\":\\\"36\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"2.0\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"-4.0\\\",\\\"wind_dir_id\\\":\\\"2\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"16\\\",\\\"predict_hour\\\":\\\"16\\\",\\\"mslp\\\":\\\"1014\\\",\\\"temp\\\":\\\"15.0\\\",\\\"weather_id\\\":\\\"34\\\",\\\"humidity\\\":\\\"30\\\"},{\\\"real_feel\\\":\\\"14.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-21\\\",\\\"predict_time\\\":\\\"2025-01-21 17:00:00\\\",\\\"sky\\\":\\\"31\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"2.1\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"-1.0\\\",\\\"wind_dir_id\\\":\\\"4\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"17\\\",\\\"mslp\\\":\\\"1020\\\",\\\"temp\\\":\\\"14.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"32\\\"},{\\\"real_feel\\\":\\\"11.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-21\\\",\\\"predict_time\\\":\\\"2025-01-21 18:00:00\\\",\\\"sky\\\":\\\"36\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"2.3\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"1.0\\\",\\\"wind_dir_id\\\":\\\"4\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"18\\\",\\\"mslp\\\":\\\"1021\\\",\\\"temp\\\":\\\"13.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"41\\\"},{\\\"real_feel\\\":\\\"10.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-21\\\",\\\"predict_time\\\":\\\"2025-01-21 19:00:00\\\",\\\"sky\\\":\\\"28\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"2.1\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"2.0\\\",\\\"wind_dir_id\\\":\\\"4\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"19\\\",\\\"mslp\\\":\\\"1021\\\",\\\"temp\\\":\\\"12.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"52\\\"},{\\\"real_feel\\\":\\\"10.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-21\\\",\\\"predict_time\\\":\\\"2025-01-21 20:00:00\\\",\\\"sky\\\":\\\"25\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.4\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"4.0\\\",\\\"wind_dir_id\\\":\\\"4\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"20\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"10.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"62\\\"},{\\\"real_feel\\\":\\\"10.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-21\\\",\\\"predict_time\\\":\\\"2025-01-21 21:00:00\\\",\\\"sky\\\":\\\"26\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.2\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"3.0\\\",\\\"wind_dir_id\\\":\\\"4\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"21\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"10.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"69\\\"},{\\\"real_feel\\\":\\\"9.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-21\\\",\\\"predict_time\\\":\\\"2025-01-21 22:00:00\\\",\\\"sky\\\":\\\"11\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"0.9\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"3.0\\\",\\\"wind_dir_id\\\":\\\"4\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"22\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"9.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"71\\\"},{\\\"real_feel\\\":\\\"9.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"clear\\\",\\\"predict_date\\\":\\\"2025-01-21\\\",\\\"predict_time\\\":\\\"2025-01-21 23:00:00\\\",\\\"sky\\\":\\\"2\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"0.6\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"3.0\\\",\\\"wind_dir_id\\\":\\\"4\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"18\\\",\\\"predict_hour\\\":\\\"23\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"8.0\\\",\\\"weather_id\\\":\\\"5\\\",\\\"humidity\\\":\\\"73\\\"},{\\\"real_feel\\\":\\\"8.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 0:00:00\\\",\\\"sky\\\":\\\"21\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"0.6\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"45\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"3.0\\\",\\\"wind_dir_id\\\":\\\"3\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"northeast wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"0\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"8.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"75\\\"},{\\\"real_feel\\\":\\\"7.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 1:00:00\\\",\\\"sky\\\":\\\"31\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"0.5\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"225\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"2.0\\\",\\\"wind_dir_id\\\":\\\"11\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"southwest wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"1\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"7.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"76\\\"},{\\\"real_feel\\\":\\\"6.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 2:00:00\\\",\\\"sky\\\":\\\"38\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.0\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"225\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"2.0\\\",\\\"wind_dir_id\\\":\\\"10\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"southwest wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"2\\\",\\\"mslp\\\":\\\"1021\\\",\\\"temp\\\":\\\"7.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"76\\\"},{\\\"real_feel\\\":\\\"5.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 3:00:00\\\",\\\"sky\\\":\\\"46\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.4\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"225\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"2.0\\\",\\\"wind_dir_id\\\":\\\"10\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"southwest wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"3\\\",\\\"mslp\\\":\\\"1021\\\",\\\"temp\\\":\\\"7.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"74\\\"},{\\\"real_feel\\\":\\\"4.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 4:00:00\\\",\\\"sky\\\":\\\"52\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.4\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"180\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"1.0\\\",\\\"wind_dir_id\\\":\\\"9\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"south wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"4\\\",\\\"mslp\\\":\\\"1021\\\",\\\"temp\\\":\\\"6.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"72\\\"},{\\\"real_feel\\\":\\\"4.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 5:00:00\\\",\\\"sky\\\":\\\"65\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.6\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"180\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"1.0\\\",\\\"wind_dir_id\\\":\\\"9\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"south wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"5\\\",\\\"mslp\\\":\\\"1020\\\",\\\"temp\\\":\\\"6.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"70\\\"},{\\\"real_feel\\\":\\\"4.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 6:00:00\\\",\\\"sky\\\":\\\"63\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.6\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"180\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"1.0\\\",\\\"wind_dir_id\\\":\\\"9\\\",\\\"day\\\":\\\"0\\\",\\\"wind_dir\\\":\\\"south wind\\\",\\\"icon\\\":\\\"19\\\",\\\"predict_hour\\\":\\\"6\\\",\\\"mslp\\\":\\\"1021\\\",\\\"temp\\\":\\\"6.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"73\\\"},{\\\"real_feel\\\":\\\"4.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 7:00:00\\\",\\\"sky\\\":\\\"60\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.7\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"0.0\\\",\\\"wind_dir_id\\\":\\\"8\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"7\\\",\\\"mslp\\\":\\\"1021\\\",\\\"temp\\\":\\\"7.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"73\\\"},{\\\"real_feel\\\":\\\"5.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 8:00:00\\\",\\\"sky\\\":\\\"48\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.6\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"1.0\\\",\\\"wind_dir_id\\\":\\\"8\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"8\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"7.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"71\\\"},{\\\"real_feel\\\":\\\"7.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"1\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 9:00:00\\\",\\\"sky\\\":\\\"48\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.8\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"1.0\\\",\\\"wind_dir_id\\\":\\\"8\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"9\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"9.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"61\\\"},{\\\"real_feel\\\":\\\"9.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"2\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 10:00:00\\\",\\\"sky\\\":\\\"38\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"2.3\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"0.0\\\",\\\"wind_dir_id\\\":\\\"8\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"10\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"11.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"48\\\"},{\\\"real_feel\\\":\\\"11.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"3\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 11:00:00\\\",\\\"sky\\\":\\\"47\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"2.4\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"-1.0\\\",\\\"wind_dir_id\\\":\\\"8\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"11\\\",\\\"mslp\\\":\\\"1022\\\",\\\"temp\\\":\\\"13.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"43\\\"},{\\\"real_feel\\\":\\\"14.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"3\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 12:00:00\\\",\\\"sky\\\":\\\"31\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"2.3\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"0.0\\\",\\\"wind_dir_id\\\":\\\"8\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"12\\\",\\\"mslp\\\":\\\"1021\\\",\\\"temp\\\":\\\"14.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"39\\\"},{\\\"real_feel\\\":\\\"16.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"3\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 13:00:00\\\",\\\"sky\\\":\\\"29\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"2.2\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"0.0\\\",\\\"wind_dir_id\\\":\\\"8\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"13\\\",\\\"mslp\\\":\\\"1019\\\",\\\"temp\\\":\\\"16.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"38\\\"},{\\\"real_feel\\\":\\\"17.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"3\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 14:00:00\\\",\\\"sky\\\":\\\"30\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.9\\\",\\\"wind_level\\\":\\\"2\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"0.0\\\",\\\"wind_dir_id\\\":\\\"8\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"14\\\",\\\"mslp\\\":\\\"1018\\\",\\\"temp\\\":\\\"17.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"37\\\"},{\\\"real_feel\\\":\\\"18.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"2\\\",\\\"weather\\\":\\\"partly cloudy\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 15:00:00\\\",\\\"sky\\\":\\\"29\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"1.3\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"1.0\\\",\\\"wind_dir_id\\\":\\\"8\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"1\\\",\\\"predict_hour\\\":\\\"15\\\",\\\"mslp\\\":\\\"1018\\\",\\\"temp\\\":\\\"17.0\\\",\\\"weather_id\\\":\\\"82\\\",\\\"humidity\\\":\\\"36\\\"},{\\\"real_feel\\\":\\\"19.0\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"uvi\\\":\\\"4\\\",\\\"weather\\\":\\\"clear\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"predict_time\\\":\\\"2025-01-22 16:00:00\\\",\\\"sky\\\":\\\"21\\\",\\\"snow\\\":\\\"0.0\\\",\\\"wspd\\\":\\\"0.9\\\",\\\"wind_level\\\":\\\"1\\\",\\\"wind_degrees\\\":\\\"135\\\",\\\"update_time\\\":\\\"2025-01-21 16:06:02\\\",\\\"dewpoint\\\":\\\"2.0\\\",\\\"wind_dir_id\\\":\\\"7\\\",\\\"day\\\":\\\"1\\\",\\\"wind_dir\\\":\\\"southeast wind\\\",\\\"icon\\\":\\\"0\\\",\\\"predict_hour\\\":\\\"16\\\",\\\"mslp\\\":\\\"1018\\\",\\\"temp\\\":\\\"17.0\\\",\\\"weather_id\\\":\\\"5\\\",\\\"humidity\\\":\\\"30\\\"}]},\\\"days_15_diff\\\":\\\"21\\\",\\\"highest_temp\\\":\\\"18\\\",\\\"daily\\\":{\\\"item\\\":[{\\\"wind_dir_id_night\\\":\\\"3\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"0\\\",\\\"uvi\\\":\\\"4\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-01-20\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-01-20 10:26:00\\\",\\\"update_time\\\":\\\"2025-01-20 22:00:00\\\",\\\"weather_id_night\\\":\\\"8\\\",\\\"weather_night\\\":\\\"partly cloudy\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"3\\\",\\\"sun_rise\\\":\\\"2025-01-20 06:55:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"clear\\\",\\\"moon_phase\\\":\\\"WaningGibbous\\\",\\\"mslp\\\":\\\"1020\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"4.0\\\",\\\"moon_rise\\\":\\\"2025-01-20 23:22:00\\\",\\\"sun_down\\\":\\\"2025-01-20 17:25:00\\\",\\\"icon_night\\\":\\\"31\\\",\\\"humidity\\\":\\\"34\\\",\\\"temp_high\\\":\\\"15.0\\\",\\\"weather_id_day\\\":\\\"1\\\",\\\"get_time\\\":\\\"2025-01-20 22:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"4\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"1\\\",\\\"uvi\\\":\\\"4\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-01-21\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-01-21 10:52:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"8\\\",\\\"weather_night\\\":\\\"partly cloudy\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"4\\\",\\\"sun_rise\\\":\\\"2025-01-21 06:55:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"partly cloudy\\\",\\\"moon_phase\\\":\\\"WaningGibbous\\\",\\\"mslp\\\":\\\"1022\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"5.0\\\",\\\"moon_rise\\\":\\\"2025-01-21 00:00:00\\\",\\\"sun_down\\\":\\\"2025-01-21 17:26:00\\\",\\\"icon_night\\\":\\\"31\\\",\\\"humidity\\\":\\\"50\\\",\\\"temp_high\\\":\\\"17.0\\\",\\\"weather_id_day\\\":\\\"8\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"5\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"1\\\",\\\"uvi\\\":\\\"3\\\",\\\"wind_degrees_day\\\":\\\"135\\\",\\\"predict_date\\\":\\\"2025-01-22\\\",\\\"wind_dir_night\\\":\\\"east wind\\\",\\\"wind_level_night\\\":\\\"1\\\",\\\"moon_down\\\":\\\"2025-01-22 11:20:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"8\\\",\\\"weather_night\\\":\\\"partly cloudy\\\",\\\"wspd_night\\\":\\\"0.9\\\",\\\"wind_degrees_night\\\":\\\"90\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"8\\\",\\\"sun_rise\\\":\\\"2025-01-22 06:55:00\\\",\\\"wind_dir_day\\\":\\\"southeast wind\\\",\\\"weather_day\\\":\\\"partly cloudy\\\",\\\"moon_phase\\\":\\\"Last\\\",\\\"mslp\\\":\\\"1020\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"7.0\\\",\\\"moon_rise\\\":\\\"2025-01-22 00:16:00\\\",\\\"sun_down\\\":\\\"2025-01-22 17:27:00\\\",\\\"icon_night\\\":\\\"31\\\",\\\"humidity\\\":\\\"54\\\",\\\"temp_high\\\":\\\"17.0\\\",\\\"weather_id_day\\\":\\\"8\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"3\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"1\\\",\\\"uvi\\\":\\\"3\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-01-23\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-01-23 11:51:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"8\\\",\\\"weather_night\\\":\\\"partly cloudy\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"3\\\",\\\"sun_rise\\\":\\\"2025-01-23 06:54:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"partly cloudy\\\",\\\"moon_phase\\\":\\\"WaningCrescent\\\",\\\"mslp\\\":\\\"1020\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"8.0\\\",\\\"moon_rise\\\":\\\"2025-01-23 01:12:00\\\",\\\"sun_down\\\":\\\"2025-01-23 17:28:00\\\",\\\"icon_night\\\":\\\"31\\\",\\\"humidity\\\":\\\"67\\\",\\\"temp_high\\\":\\\"18.0\\\",\\\"weather_id_day\\\":\\\"8\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"4\\\",\\\"qpf\\\":\\\"3.0\\\",\\\"pop\\\":\\\"60\\\",\\\"icon_day\\\":\\\"2\\\",\\\"uvi\\\":\\\"1\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-01-24\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"3\\\",\\\"moon_down\\\":\\\"2025-01-24 12:27:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"51\\\",\\\"weather_night\\\":\\\"light rain\\\",\\\"wspd_night\\\":\\\"4.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"4\\\",\\\"sun_rise\\\":\\\"2025-01-24 06:54:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"cloudy\\\",\\\"moon_phase\\\":\\\"WaningCrescent\\\",\\\"mslp\\\":\\\"1022\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"7.0\\\",\\\"moon_rise\\\":\\\"2025-01-24 02:10:00\\\",\\\"sun_down\\\":\\\"2025-01-24 17:29:00\\\",\\\"icon_night\\\":\\\"7\\\",\\\"humidity\\\":\\\"82\\\",\\\"temp_high\\\":\\\"14.0\\\",\\\"weather_id_day\\\":\\\"13\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"4\\\",\\\"qpf\\\":\\\"6.0\\\",\\\"pop\\\":\\\"50\\\",\\\"icon_day\\\":\\\"3\\\",\\\"uvi\\\":\\\"2\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-01-25\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-01-25 13:10:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"51\\\",\\\"weather_night\\\":\\\"light rain\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"4\\\",\\\"sun_rise\\\":\\\"2025-01-25 06:54:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"light rain\\\",\\\"moon_phase\\\":\\\"WaningCrescent\\\",\\\"mslp\\\":\\\"1024\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"5.0\\\",\\\"moon_rise\\\":\\\"2025-01-25 03:10:00\\\",\\\"sun_down\\\":\\\"2025-01-25 17:30:00\\\",\\\"icon_night\\\":\\\"7\\\",\\\"humidity\\\":\\\"75\\\",\\\"temp_high\\\":\\\"13.0\\\",\\\"weather_id_day\\\":\\\"51\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"15\\\",\\\"qpf\\\":\\\"4.9\\\",\\\"pop\\\":\\\"60\\\",\\\"icon_day\\\":\\\"3\\\",\\\"uvi\\\":\\\"1\\\",\\\"wind_degrees_day\\\":\\\"315\\\",\\\"predict_date\\\":\\\"2025-01-26\\\",\\\"wind_dir_night\\\":\\\"northwest wind\\\",\\\"wind_level_night\\\":\\\"3\\\",\\\"moon_down\\\":\\\"2025-01-26 14:01:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"51\\\",\\\"weather_night\\\":\\\"light rain\\\",\\\"wspd_night\\\":\\\"4.4\\\",\\\"wind_degrees_night\\\":\\\"315\\\",\\\"wind_level_day\\\":\\\"3\\\",\\\"wind_dir_id_day\\\":\\\"15\\\",\\\"sun_rise\\\":\\\"2025-01-26 06:53:00\\\",\\\"wind_dir_day\\\":\\\"northwest wind\\\",\\\"weather_day\\\":\\\"light rain\\\",\\\"moon_phase\\\":\\\"WaningCrescent\\\",\\\"mslp\\\":\\\"1026\\\",\\\"wspd_day\\\":\\\"4.4\\\",\\\"temp_low\\\":\\\"2.0\\\",\\\"moon_rise\\\":\\\"2025-01-26 04:10:00\\\",\\\"sun_down\\\":\\\"2025-01-26 17:31:00\\\",\\\"icon_night\\\":\\\"7\\\",\\\"humidity\\\":\\\"80\\\",\\\"temp_high\\\":\\\"9.0\\\",\\\"weather_id_day\\\":\\\"51\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"15\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"1\\\",\\\"uvi\\\":\\\"4\\\",\\\"wind_degrees_day\\\":\\\"315\\\",\\\"predict_date\\\":\\\"2025-01-27\\\",\\\"wind_dir_night\\\":\\\"northwest wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-01-27 15:00:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"13\\\",\\\"weather_night\\\":\\\"cloudy\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"315\\\",\\\"wind_level_day\\\":\\\"3\\\",\\\"wind_dir_id_day\\\":\\\"15\\\",\\\"sun_rise\\\":\\\"2025-01-27 06:53:00\\\",\\\"wind_dir_day\\\":\\\"northwest wind\\\",\\\"weather_day\\\":\\\"partly cloudy\\\",\\\"moon_phase\\\":\\\"WaningCrescent\\\",\\\"mslp\\\":\\\"1030\\\",\\\"wspd_day\\\":\\\"4.4\\\",\\\"temp_low\\\":\\\"-1.0\\\",\\\"moon_rise\\\":\\\"2025-01-27 05:07:00\\\",\\\"sun_down\\\":\\\"2025-01-27 17:31:00\\\",\\\"icon_night\\\":\\\"2\\\",\\\"humidity\\\":\\\"42\\\",\\\"temp_high\\\":\\\"8.0\\\",\\\"weather_id_day\\\":\\\"8\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"4\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"0\\\",\\\"uvi\\\":\\\"4\\\",\\\"wind_degrees_day\\\":\\\"315\\\",\\\"predict_date\\\":\\\"2025-01-28\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-01-28 16:04:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"1\\\",\\\"weather_night\\\":\\\"clear\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"14\\\",\\\"sun_rise\\\":\\\"2025-01-28 06:52:00\\\",\\\"wind_dir_day\\\":\\\"northwest wind\\\",\\\"weather_day\\\":\\\"clear\\\",\\\"moon_phase\\\":\\\"WaningCrescent\\\",\\\"mslp\\\":\\\"1031\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"1.0\\\",\\\"moon_rise\\\":\\\"2025-01-28 06:01:00\\\",\\\"sun_down\\\":\\\"2025-01-28 17:32:00\\\",\\\"icon_night\\\":\\\"30\\\",\\\"humidity\\\":\\\"36\\\",\\\"temp_high\\\":\\\"10.0\\\",\\\"weather_id_day\\\":\\\"1\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"3\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"0\\\",\\\"uvi\\\":\\\"3\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-01-29\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-01-29 17:12:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"1\\\",\\\"weather_night\\\":\\\"clear\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"4\\\",\\\"sun_rise\\\":\\\"2025-01-29 06:52:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"clear\\\",\\\"moon_phase\\\":\\\"New\\\",\\\"mslp\\\":\\\"1029\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"0.0\\\",\\\"moon_rise\\\":\\\"2025-01-29 06:48:00\\\",\\\"sun_down\\\":\\\"2025-01-29 17:33:00\\\",\\\"icon_night\\\":\\\"30\\\",\\\"humidity\\\":\\\"40\\\",\\\"temp_high\\\":\\\"7.0\\\",\\\"weather_id_day\\\":\\\"1\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"16\\\",\\\"qpf\\\":\\\"3.0\\\",\\\"pop\\\":\\\"60\\\",\\\"icon_day\\\":\\\"0\\\",\\\"uvi\\\":\\\"3\\\",\\\"wind_degrees_day\\\":\\\"135\\\",\\\"predict_date\\\":\\\"2025-01-30\\\",\\\"wind_dir_night\\\":\\\"northwest wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-01-30 18:20:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"49\\\",\\\"weather_night\\\":\\\"sleet\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"315\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"7\\\",\\\"sun_rise\\\":\\\"2025-01-30 06:51:00\\\",\\\"wind_dir_day\\\":\\\"southeast wind\\\",\\\"weather_day\\\":\\\"clear\\\",\\\"moon_phase\\\":\\\"WaxingCrescent\\\",\\\"mslp\\\":\\\"1024\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"1.0\\\",\\\"moon_rise\\\":\\\"2025-01-30 07:29:00\\\",\\\"sun_down\\\":\\\"2025-01-30 17:34:00\\\",\\\"icon_night\\\":\\\"6\\\",\\\"humidity\\\":\\\"51\\\",\\\"temp_high\\\":\\\"10.0\\\",\\\"weather_id_day\\\":\\\"1\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"4\\\",\\\"qpf\\\":\\\"3.0\\\",\\\"pop\\\":\\\"70\\\",\\\"icon_day\\\":\\\"5\\\",\\\"uvi\\\":\\\"2\\\",\\\"wind_degrees_day\\\":\\\"315\\\",\\\"predict_date\\\":\\\"2025-01-31\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-01-31 19:28:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"13\\\",\\\"weather_night\\\":\\\"cloudy\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"16\\\",\\\"sun_rise\\\":\\\"2025-01-31 06:51:00\\\",\\\"wind_dir_day\\\":\\\"northwest wind\\\",\\\"weather_day\\\":\\\"sleet\\\",\\\"moon_phase\\\":\\\"WaxingCrescent\\\",\\\"mslp\\\":\\\"1022\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"-2.0\\\",\\\"moon_rise\\\":\\\"2025-01-31 08:06:00\\\",\\\"sun_down\\\":\\\"2025-01-31 17:35:00\\\",\\\"icon_night\\\":\\\"2\\\",\\\"humidity\\\":\\\"56\\\",\\\"temp_high\\\":\\\"3.0\\\",\\\"weather_id_day\\\":\\\"49\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"3\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"2\\\",\\\"uvi\\\":\\\"3\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-02-01\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-02-01 20:34:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"8\\\",\\\"weather_night\\\":\\\"partly cloudy\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"2\\\",\\\"sun_rise\\\":\\\"2025-02-01 06:50:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"cloudy\\\",\\\"moon_phase\\\":\\\"WaxingCrescent\\\",\\\"mslp\\\":\\\"1023\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"-3.0\\\",\\\"moon_rise\\\":\\\"2025-02-01 08:39:00\\\",\\\"sun_down\\\":\\\"2025-02-01 17:36:00\\\",\\\"icon_night\\\":\\\"31\\\",\\\"humidity\\\":\\\"66\\\",\\\"temp_high\\\":\\\"5.0\\\",\\\"weather_id_day\\\":\\\"13\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"3\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"2\\\",\\\"uvi\\\":\\\"3\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-02-02\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-02-02 21:40:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"13\\\",\\\"weather_night\\\":\\\"cloudy\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"3\\\",\\\"sun_rise\\\":\\\"2025-02-02 06:49:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"cloudy\\\",\\\"moon_phase\\\":\\\"WaxingCrescent\\\",\\\"mslp\\\":\\\"1023\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"-2.0\\\",\\\"moon_rise\\\":\\\"2025-02-02 09:10:00\\\",\\\"sun_down\\\":\\\"2025-02-02 17:37:00\\\",\\\"icon_night\\\":\\\"2\\\",\\\"humidity\\\":\\\"74\\\",\\\"temp_high\\\":\\\"6.0\\\",\\\"weather_id_day\\\":\\\"13\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"3\\\",\\\"qpf\\\":\\\"0.0\\\",\\\"pop\\\":\\\"0\\\",\\\"icon_day\\\":\\\"2\\\",\\\"uvi\\\":\\\"2\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-02-03\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-02-03 22:46:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"13\\\",\\\"weather_night\\\":\\\"cloudy\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"3\\\",\\\"sun_rise\\\":\\\"2025-02-03 06:49:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"cloudy\\\",\\\"moon_phase\\\":\\\"WaxingCrescent\\\",\\\"mslp\\\":\\\"1024\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"1.0\\\",\\\"moon_rise\\\":\\\"2025-02-03 09:42:00\\\",\\\"sun_down\\\":\\\"2025-02-03 17:38:00\\\",\\\"icon_night\\\":\\\"2\\\",\\\"humidity\\\":\\\"67\\\",\\\"temp_high\\\":\\\"5.0\\\",\\\"weather_id_day\\\":\\\"13\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"},{\\\"wind_dir_id_night\\\":\\\"3\\\",\\\"qpf\\\":\\\"8.0\\\",\\\"pop\\\":\\\"80\\\",\\\"icon_day\\\":\\\"9\\\",\\\"uvi\\\":\\\"2\\\",\\\"wind_degrees_day\\\":\\\"45\\\",\\\"predict_date\\\":\\\"2025-02-04\\\",\\\"wind_dir_night\\\":\\\"northeast wind\\\",\\\"wind_level_night\\\":\\\"2\\\",\\\"moon_down\\\":\\\"2025-02-04 23:53:00\\\",\\\"update_time\\\":\\\"2025-01-21 13:00:00\\\",\\\"weather_id_night\\\":\\\"49\\\",\\\"weather_night\\\":\\\"sleet\\\",\\\"wspd_night\\\":\\\"2.4\\\",\\\"wind_degrees_night\\\":\\\"45\\\",\\\"wind_level_day\\\":\\\"2\\\",\\\"wind_dir_id_day\\\":\\\"4\\\",\\\"sun_rise\\\":\\\"2025-02-04 06:48:00\\\",\\\"wind_dir_day\\\":\\\"northeast wind\\\",\\\"weather_day\\\":\\\"rain\\\",\\\"moon_phase\\\":\\\"WaxingCrescent\\\",\\\"mslp\\\":\\\"1024\\\",\\\"wspd_day\\\":\\\"2.4\\\",\\\"temp_low\\\":\\\"0.0\\\",\\\"moon_rise\\\":\\\"2025-02-04 10:15:00\\\",\\\"sun_down\\\":\\\"2025-02-04 17:38:00\\\",\\\"icon_night\\\":\\\"6\\\",\\\"humidity\\\":\\\"60\\\",\\\"temp_high\\\":\\\"7.0\\\",\\\"weather_id_day\\\":\\\"78\\\",\\\"get_time\\\":\\\"2025-01-21 14:50:03\\\"}]}},\\\"index_data\\\":{\\\"index\\\":{\\\"item\\\":[{\\\"index_level\\\":\\\"4\\\",\\\"index_type_id\\\":\\\"12\\\",\\\"update_time\\\":\\\"2025-01-21 14:22:02\\\",\\\"index_desc\\\":\\\"Colds are likely to occur. Avoid crowded places to reduce the risk of catching a cold.\\\",\\\"index_type\\\":\\\"Cold index\\\",\\\"index_level_desc\\\":\\\"Likely\\\",\\\"predict_date\\\":\\\"2025-01-21\\\"},{\\\"index_level\\\":\\\"7\\\",\\\"index_type_id\\\":\\\"17\\\",\\\"update_time\\\":\\\"2025-01-21 14:22:02\\\",\\\"index_desc\\\":\\\"Not ideal for car washing. No rain expected tomorrow, but strong winds may leave dust on your vehicle.\\\",\\\"index_type\\\":\\\"Car wash index\\\",\\\"index_level_desc\\\":\\\"Not ideal\\\",\\\"predict_date\\\":\\\"2025-01-21\\\"},{\\\"index_level\\\":\\\"5\\\",\\\"index_type_id\\\":\\\"20\\\",\\\"update_time\\\":\\\"2025-01-21 14:22:02\\\",\\\"index_desc\\\":\\\"Slightly cool. Add layers to your clothing.\\\",\\\"index_type\\\":\\\"Clothing index\\\",\\\"index_level_desc\\\":\\\"Cool\\\",\\\"predict_date\\\":\\\"2025-01-21\\\"},{\\\"index_level\\\":\\\"2\\\",\\\"index_type_id\\\":\\\"21\\\",\\\"update_time\\\":\\\"2025-01-21 14:22:02\\\",\\\"index_desc\\\":\\\"Low UV radiation. Use SPF12-15, PA+ sunscreen.\\\",\\\"index_type\\\":\\\"UV index\\\",\\\"index_level_desc\\\":\\\"Low\\\",\\\"predict_date\\\":\\\"2025-01-21\\\"},{\\\"index_level\\\":\\\"2\\\",\\\"index_type_id\\\":\\\"32\\\",\\\"update_time\\\":\\\"2025-01-21 14:22:02\\\",\\\"index_desc\\\":\\\"Current weather conditions make it unlikely for major allergens to spread. Allergy symptoms are unlikely.\\\",\\\"index_type\\\":\\\"Allergy index\\\",\\\"index_level_desc\\\":\\\"Unlikely\\\",\\\"predict_date\\\":\\\"2025-01-21\\\"}]}}}}},{\\\"RawUrl\\\":\\\"https://3g.china.com/act/news/10000169/20250120/47893150.html\\\",\\\"sc_name\\\":\\\"structure_web_info\\\",\\\"time\\\":\\\"1737363220\\\",\\\"hostname\\\":\\\"China.com\\\",\\\"article_title\\\":\\\"Xi'an to see snow, sleet, and cooling next week; widespread snow and sleet expected\\\",\\\"url\\\":\\\"https://3g.china.com/act/news/10000169/20250120/47893150.html\\\",\\\"shorturl\\\":\\\"3g.china.com\\\",\\\"title\\\":\\\"Xi'an next week will see snow, sleet, and cooling - China.com\\\",\\\"desc\\\":\\\"Shaanxi Provincial Meteorological Bureau issued an important weather report on January 19, forecasting widespread snow, sleet, cooling, and strong winds from January 24 to 26. Snow and sleet will mainly fall on January 24 and 25, while cooling will last from January 24 to 26. This weather event features wide coverage, high intensity, and complex precipitation types, along with significant cooling and strong winds...\\\",\\\"attributes\\\":{\\\"desc_truncate\\\":0,\\\"MainBody_truncate\\\":1},\\\"MainBody\\\":\\\"Shaanxi Provincial Meteorological Bureau issued an important weather report on January 19, forecasting widespread snow, sleet, cooling, and strong winds from January 24 to 26. Snow and sleet will mainly fall on January 24 and 25, while cooling will last from January 24 to 26. This weather event features wide coverage, high intensity, and complex precipitation types, along with significant cooling and strong winds.\\\\nOn January 24, northern Shaanxi will see moderate to heavy snow (2–5 mm), southern Shaanxi, Guanzhong, and Shangluo will see sleet turning into heavy to blizzard-level snow (5–15 mm), and Hanzhong and Ankang will see light to moderate rain or sleet turning into light to moderate snow (3–15 mm). On January 25, northern Shaanxi will see light to moderate snow (1–3 mm), Guanzhong will see moderate to heavy snow (3–5 mm), and southern Shaanxi will see sleet turning into moderate to heavy snow (4–15 mm).\\\\nSnow depth is expected to reach 5–8 cm in northern Shaanxi, 1–6 cm in Guanzhong, 0–5 cm in southern Shaanxi, and 10–20 cm in Qinba Mountain areas. From January 24 to 26, average daily temperatures in northern Shaanxi and Qinba Mountain areas will drop by 12–14°C, with local drops up to 16°C; Guanzhong will drop by 10–14°C; and southern Shaanxi will drop by 10–12°C. The lowest temperatures will occur on the morning of January 27, at -22 to -20°C in northern Shaanxi, -18 to -16°C in northern Guanzhong, -10 to -8°C in southern Guanzhong, -14 to -12°C in Shangluo, -7 to -5°C in Hanzhong and Ankang, and -18 to -13°C in Qinba Mountain areas, with some areas below -20°C. From January 24 night to January 26, northern Shaanxi, most parts of Guanzhong, Shangluo, and Qinba Mountain areas will experience gales of level 5...\\\"},{\\\"RawUrl\\\":\\\"https://c.m.163.com/news/a/JM90PUQI0514CILT.html\\\",\\\"sc_name\\\":\\\"structure_web_info\\\",\\\"time\\\":\\\"1737260160\\\",\\\"hostname\\\":\\\"NetEase News App\\\",\\\"article_title\\\":\\\"Next week's weather to change dramatically; a wave of overcast and rainy days coming, with minimum temperature of -2°C on Chinese New Year's Eve\\\",\\\"url\\\":\\\"https://c.m.163.com/news/a/JM90PUQI0514CILT.html\\\",\\\"shorturl\\\":\\\"c.m.163.com\\\",\\\"title\\\":\\\"Next week's weather to change dramatically; a wave of overcast and rainy days coming, with minimum temperature of -2°C on Chinese New Year's Eve - NetEase News App\\\",\\\"desc\\\":\\\"District Meteorological Station issued a weather forecast at 6 a.m. on January 19, 2025: clear to partly cloudy, with fog in some areas before noon today. Tomorrow will be partly cloudy. Westerly winds today, shifting to northwesterly winds tomorrow, both at force 3–4. Today's maximum temperature is 15°C, and tomorrow's minimum temperature is -1°C, with thin ice. This warming trend covers most of China. Before January 21, ...\\\",\\\"attributes\\\":{\\\"desc_truncate\\\":0,\\\"MainBody_truncate\\\":1},\\\"MainBody\\\":\\\"This weekend\\\\nJinshan District remains clear to partly cloudy\\\\nwith abundant sunshine\\\\nand warming as the main theme\\\\nDistrict Meteorological Station issued a weather forecast at 6 a.m. on January 19, 2025: clear to partly cloudy, with fog in some areas before noon today. Tomorrow will be partly cloudy. Westerly winds today, shifting to northwesterly winds tomorrow, both at force 3–4. Today's maximum temperature is 15°C, and tomorrow's minimum temperature is -1°C, with thin ice.\\\\nThis warming trend covers most of China. Before January 21, the cumulative increase in maximum temperatures in most parts of China can reach 6°C to 12°C. From January 19 to 21 is the warmest period of this cycle, with the 10°C maximum temperature line reaching southern North China, and temperatures south of the Yangtze River generally exceeding 20°C, with many places in South China exceeding 25°C.\\\\nOpen NetEase News to view more pictures\\\\nImage source: Huakai Haishang Ecological Park\\\\nBased on the current forecast, the warmth in many parts of southern China is comparable to early to mid-April. The warmth in the Jiangnan area is particularly prominent, with maximum temperatures generally 10°C to 15°C higher than the same period in previous years.\\\\nAfter this major warming trend\\\\na 'corrective' cold front will move south\\\\nand temperatures may return to\\\\nnormal winter levels before the Spring Festival\\\\nStarting next Thursday, cloud cover will increase significantly\\\\nbringing a period of continuous overcast and rainy weather\\\\nThe dry weather that has lasted for more than a month\\\\nwill be alleviated\\\\nAround next Sunday\\\\na strong cold front will arrive\\\\nand temperatures will drop sharply\\\\nThe key day is Little New Year's Eve\\\\n(note January 27)\\\\nthe temperature will drop to -2°C\\\\nand the maximum temperature will only be 4°C\\\\nThe diurnal temperature range in recent days\\\\nmay be nearly 10°C\\\\nWarm during the day\\\\nbut still cool in the morning and evening...\\\"},{\\\"RawUrl\\\":\\\"https://sdxw.iqilu.com/share/YS0yMS0xNjE5NjExMA.html\\\",\\\"sc_name\\\":\\\"structure_web_info\\\",\\\"time\\\":\\\"1737277064\\\",\\\"hostname\\\":\\\"Qilu.com\\\",\\\"article_title\\\":\\\"Weather change next week! Shandong to welcome cold air, strong winds, and cooling, with light rain in some areas\\\",\\\"url\\\":\\\"https://sdxw.iqilu.com/share/YS0yMS0xNjE5NjExMA.html\\\",\\\"shorturl\\\":\\\"sdxw.iqilu.com\\\",\\\"title\\\":\\\"Weather change next week! Shandong to welcome cold air, strong winds, and cooling, with light rain in some areas - Qilu.com\\\",\\\"desc\\\":\\\"Today, the weather theme for most of China is still: dry. The weather will change next week, with Shandong welcoming cold air. According to Shandong... In short, next week's snow, sleet, and cooling will affect a wide area, and the cold of winter may return. It is currently the peak of the Spring Festival travel rush, so friends with travel plans should pack enough clothes and adjust their itineraries according to the weather changes...\\\",\\\"attributes\\\":{\\\"desc_truncate\\\":0,\\\"MainBody_truncate\\\":1},\\\"MainBody\\\":\\\"Original title: Weather change next week! Shandong to welcome cold air, strong winds, and cooling, with light rain in some areas\\\\nSource: Shandong Radio and Television Station\\\\nToday is the third day of the 'Fourth Nine' period, and an unusually long and warm spell is approaching, with temperatures significantly higher than normal for this time of year.\\\\nToday, the weather theme for most of China is still: dry.\\\\nWeather will change next week, with Shandong welcoming cold air\\\\nAccording to the latest forecast from the Shandong Provincial Meteorological Station, from the 19th, day to night, the province will be clear to partly cloudy. From the 20th, day to night, the province will be clear to partly cloudy. From the 21st to the 24th, a weak cold front will affect the province, with mostly cloudy weather and light rain in some parts of southern Shandong.\\\\nSpecific forecast for the next 7 days:\\\\nFrom the night of the 18th to the day of the 19th, the province will be clear to partly cloudy. The peninsula area will have southerly winds of force 4–5 with gusts of 6, shifting to northerly winds of force 3–4. Other areas will have southerly winds of force 3–4, shifting to northerly winds of force 2–3.\\\\nMinimum temperature: around -5°C in northwestern Shandong and the peninsula inland areas, and around -3°C in other areas.\\\\nMaximum temperature: around 11°C in southern Shandong, around 5°C in northern coastal areas, and around 8°C in other areas.\\\\nFrom the night of the 19th to the day of the 20th, the province will be clear to partly cloudy. Northerly winds will shift to southerly winds, with force 3–4 in the peninsula area and around 3 in other areas.\\\\nMinimum temperature: around -5°C in northwestern and central Shandong, and around -3°C in other areas.\\\\nMaximum temperature: around 13°C in Heze and Liaocheng, around 7°C in the peninsula area, and around 10°C in other areas.\\\\nFrom the night of the 20th to the day of the 21st, the province will be clear to partly cloudy. The peninsula area will have southerly winds of force 3–4, while other areas will have southerly winds shifting to northerly winds of force 3–...\\\"},{\\\"RawUrl\\\":\\\"https://sdxw.iqilu.com/share/YS0yMS0xNjE5NjY4NA.html\\\",\\\"sc_name\\\":\\\"structure_web_info\\\",\\\"time\\\":\\\"1737298306\\\",\\\"hostname\\\":\\\"Qilu.com\\\",\\\"article_title\\\":\\\"Snow, sleet, and cooling! Heavy fog! Dezhou's weather forecast for next week→\\\",\\\"url\\\":\\\"https://sdxw.iqilu.com/share/YS0yMS0xNjE5NjY4NA.html\\\",\\\"shorturl\\\":\\\"sdxw.iqilu.com\\\",\\\"title\\\":\\\"Snow, sleet, and cooling! Heavy fog! Dezhou's weather forecast for next week→ - Qilu.com\\\",\\\"desc\\\":\\\"Qilu.com · Lightning News, January 19 - Dezhou Meteorological Station released the latest weather forecast this afternoon, predicting mainly clear to partly cloudy weather from January 20–24, with rising temperatures. Heavy fog may occur on the mornings of the 23rd and 24th. A snow, sleet, and cooling event is expected from the 25th to the 26th. The weekly minimum temperature of -7°C will occur on the morning of the 20th, and the weekly maximum...\\\",\\\"attributes\\\":{\\\"desc_truncate\\\":0,\\\"MainBody_truncate\\\":0},\\\"MainBody\\\":\\\"Qilu.com · Lightning News, January 19 - Dezhou Meteorological Station released the latest weather forecast this afternoon, predicting mainly clear to partly cloudy weather from January 20–24, with rising temperatures. Heavy fog may occur on the mornings of the 23rd and 24th. A snow, sleet, and cooling event is expected from the 25th to the 26th. The weekly minimum temperature of -7°C will occur on the morning of the 20th, and the weekly maximum temperature of 11°C will occur from the 20th to the 21st.\\\\nSpecific forecast\\\\nTonight: clear, southeast wind force 1, minimum temperature -6°C.\\\\nTomorrow: clear, south wind force 2, maximum temperature 11°C.\\\\nNight of the 20th: clear, southwest wind force 1, minimum temperature -4°C.\\\\nDay of the 21st: clear to partly cloudy, northeast wind force 2, maximum temperature 10°C.\\\\nNight of the 21st: clear, northeast wind force 2, minimum temperature -1°C.\\\\nDay of the 22nd: clear, northeast wind force 2, maximum temperature 10°C.\\\\nNight of the 22nd: clear, north wind force 1, minimum temperature -5°C.\\\\nDay of the 23rd: clear, northeast wind force 2, maximum temperature 8°C.\\\\nDezhou Station, Sun Jiuxin\\\"},{\\\"RawUrl\\\":\\\"https://mparticle.uc.cn/article.html?uc_param_str\\u003dfrdnsnpfvecpntnwprdssskt#!wm_aid\\u003d32cfb6517da7454c90e50a00e84dc7ab!!wm_id\\u003d64e2b4f2a9dc49a4be162b53d6572fd9\\\",\\\"sc_name\\\":\\\"structure_web_info\\\",\\\"time\\\":\\\"1737292453\\\",\\\"hostname\\\":\\\"Information Supermarket\\\",\\\"article_title\\\":\\\"Return home early! Dry weather to continue in the short term! Widespread snow and sleet trend credible for late next week\\\",\\\"url\\\":\\\"https://mparticle.uc.cn/article.html?uc_param_str\\u003dfrdnsnpfvecpntnwprdssskt#!wm_aid\\u003d32cfb6517da7454c90e50a00e84dc7ab!!wm_id\\u003d64e2b4f2a9dc49a4be162b53d6572fd9\\\",\\\"shorturl\\\":\\\"mparticle.uc.cn\\\",\\\"title\\\":\\\"Return home early! Dry weather to continue in the short term! Widespread snow and sleet trend credible for late next week - Information Supermarket\\\",\\\"desc\\\":\\\"But then it will decrease again, and for the latter half of the week, most areas will have clear and dry weather. In addition, dust may affect Ningxia and other areas at the beginning of the week. National precipitation forecast map (issued by the Central Meteorological Administration). Experts say that monitoring data shows that this afternoon (19th), the air on the Qinghai-Tibet Plateau and in the central and eastern regions is still dry. Among them, ...\\\",\\\"attributes\\\":{\\\"desc_truncate\\\":0,\\\"MainBody_truncate\\\":1},\\\"MainBody\\\":\\\"△ National precipitation forecast map (issued by the Central Meteorological Administration)\\\\nMinsheng Tianxia, Beijing, January 19 - In a flash, the traditional 'Minor Cold' solar term is nearing its end. This week (January 13 - January 19), experts say the national weather stage saw a pattern of strong-then-weak cold air, with temperatures bottoming out and then rising, showing a 'V-shaped' trend of low in the middle and significantly higher at the beginning and end of the week. In addition, at the beginning of the week, under the influence of the southern branch trough and the passage of a cold front, precipitation temporarily increased. But then it decreased again, and for the latter half of the week, most areas will have clear and dry weather. In addition, dust may affect Ningxia and other areas at the beginning of the week.\\\\n△ National precipitation forecast map (issued by the Central Meteorological Administration)\\\\nExperts say that monitoring data shows that this afternoon (19th), the air on the Qinghai-Tibet Plateau and in the central and eastern regions is still dry. Among them, the relative humidity in Lhasa and Lijiang is less than 10%. In addition, statistics show that the relative humidity in Zhengzhou, Shijiazhuang, Beijing, Tianjin, Taiyuan, and Jinan is less than 20%. According to the latest meteorological data analysis, there will still be little rain and snow in the next 3 days; but after next Thursday (23rd), there may be widespread precipitation in the central and eastern regions.\\\\n△ National precipitation forecast map (issued by the Central Meteorological Administration)\\\\nIt is worth noting that industry insiders emphasize that it is not difficult to judge from the situation that, as experts say, there are still differences in the forecasts of European and American meteorological numerical models regarding the scope and intensity of snowfall; therefore, the public needs to pay attention to the revisions of the meteorological departments on water vapor transport and dynamic coordination in the later period. As...\\\"},{\\\"RawUrl\\\":\\\"http://cj.sina.cn/articles/view/2369612657/8d3d6b71019018vom?finpagefr\\u003dp_104\\\",\\\"sc_name\\\":\\\"structure_web_info\\\",\\\"time\\\":\\\"1737286740\\\",\\\"hostname\\\":\\\"Finance Headlines\\\",\\\"article_title\\\":\\\"Widespread snowfall + cooling! Weather changes next week→\\\",\\\"url\\\":\\\"http://cj.sina.cn/articles/view/2369612657/8d3d6b71019018vom?finpagefr\\u003dp_104\\\",\\\"shorturl\\\":\\\"cj.sina.cn\\\",\\\"title\\\":\\\"Widespread snowfall + cooling! Weather changes next week→ - Finance Headlines\\\",\\\"desc\\\":\\\"It is now the fourth nine-day period of winter, but the weather pattern of high temperatures and clear, dry conditions continues in most of Inner Mongolia. It is expected that in the next few days, the cold air will continue to be inactive, and temperatures across the region will rise steadily, with little rain or snow. Looking ahead, starting from the 24th, a stronger cold front will affect our region, bringing widespread snow, sleet, and...\\\",\\\"attributes\\\":{\\\"desc_truncate\\\":0,\\\"MainBody_truncate\\\":0},\\\"MainBody\\\":\\\"Jungar Banner's weather forecast for the next week\\\\n(January 20 - January 26)\\\\n▪ Monday to Thursday (January 20 - January 23), Jungar Banner will be mainly clear, with temperatures slowly rising;\\\\n▪ Friday to Saturday (January 24 - January 25), Jungar Banner will have a widespread snowfall event, with strong winds during the snowfall, and temperatures dropping by 8–10°C after the snow;\\\\n▪ Sunday (January 26), partly cloudy, with the minimum temperature dropping to -19 to -15°C.\\\\nIt is now the fourth nine-day period of winter, but the weather pattern of high temperatures and clear, dry conditions continues in most of Inner Mongolia. It is expected that in the next few days, the cold air will continue to be inactive, and temperatures across the region will rise steadily, with little rain or snow. Looking ahead, starting from the 24th, a stronger cold front will affect our region, bringing widespread snow, sleet, and cooling. There will be heavy snow in many parts of the central and western regions, and blizzards in the western and southern parts of Ordos City. Temperatures in most of the western region and the western part of the northeast will drop by 6 to 8°C, with some areas dropping by more than 8°C, accompanied by short-term northwesterly winds of force 5-6, gusting to 7-8.\\\\nAs the Spring Festival approaches, during the peak of the travel rush, the public needs to pay timely attention to the latest weather forecasts and take precautions against the adverse effects of rain, snow, and cooling on transportation.\\\\nSource: Jungar Banner Converged Media Center\\\\n0 comments | 0 participants User comments\\\"},{\\\"RawUrl\\\":\\\"https://m.163.com/dy/article/JMA24PJU0530JPVV.html?spss\\u003ddy_author\\\",\\\"sc_name\\\":\\\"structure_web_info\\\",\\\"time\\\":\\\"1737295147\\\",\\\"hostname\\\":\\\"NetEase Subscription\\\",\\\"article_title\\\":\\\"-6°C + sleet! Zibo's weather next week→\\\",\\\"url\\\":\\\"https://m.163.com/dy/article/JMA24PJU0530JPVV.html?spss\\u003ddy_author\\\",\\\"shorturl\\\":\\\"m.163.com\\\",\\\"title\\\":\\\"-6°C + sleet! Zibo's weather next week→ - NetEase Subscription\\\",\\\"desc\\\":\\\"Next week, some areas of Shandong will have light rain and snow. According to the Shandong Provincial Meteorological Station, from the 20th to the 21st, the weather in the province will be clear to partly cloudy, with rising temperatures; from the 22nd to the 25th, a weak cold front will affect the area, with increased cloud cover and some... From the night of the 21st to the day of the 22nd, Heze, Jining, and Liaocheng will have partly cloudy to cloudy weather with light rain in some areas, while other areas will have partly cloudy weather...\\\",\\\"attributes\\\":{\\\"desc_truncate\\\":0,\\\"MainBody_truncate\\\":1},\\\"MainBody\\\":\\\"Tomorrow (January 20)\\\\nwill be the Major Cold solar term\\\\nMajor Cold is the last of the twenty-four solar terms\\\\nWhat will the weather be like next\\\\nLet's take a look\\\\nStarting from the 23rd, a strong cold front will bring rain, snow, and cooling\\\\nAccording to @ChinaWeather, from January 19 to 21, temperatures in most of the country will continue to rise steadily, and we will welcome the Major Cold solar term with even warmer 'posture'. This round of warming will be long-lasting and widespread, and temperatures in various places will reach their recent highs. Starting from the 23rd, a strong cold front will affect most of our country, bringing widespread rain and snow. During the Spring Festival travel rush, the public needs to pay close attention to weather changes and make corresponding preparations in advance.\\\\nNext week, some areas of Shandong will have light rain and snow\\\\nAccording to the Shandong Provincial Meteorological Station, from the 20th to the 21st, the weather in the province will be clear to partly cloudy, with rising temperatures; from the 22nd to the 25th, a weak cold front will affect the area, with increased cloud cover and light rain and snow in some areas.\\\\nSpecific forecast\\\\nFrom the night of the 19th to the day of the 20th, the province will be clear to partly cloudy. North wind shifting to south wind, force 3-4. Minimum temperature: around -5°C in northwestern and central Shandong, and around -3°C in other areas. Maximum temperature: around 12°C in Liaocheng, Heze, and Jining, around 6°C in northern coastal areas, and around 9°C in other areas.\\\\nFrom the night of the 20th to the day of the 21st, the province will be clear to partly cloudy. South wind shifting to north wind, force 3-4. Minimum temperature: around -1°C in coastal areas, and around -3°C in other areas. Maximum temperature: around 10°C in northwestern Shandong and the peninsula, and around 13°C in other areas.\\\\nFrom the night of the 21st to the day of the 22nd, Heze, Jining, and...\\\"},{\\\"RawUrl\\\":\\\"http://cj.sina.cn/articles/view/1931238691/731c5d2301901pjje?finpagefr\\u003dp_104\\\",\\\"sc_name\\\":\\\"structure_web_info\\\",\\\"time\\\":\\\"1737286980\\\",\\\"hostname\\\":\\\"Finance Headlines\\\",\\\"article_title\\\":\\\"Rain, snow, strong winds, and cooling are coming! Next week, Qingdao's weather will change!\\\",\\\"url\\\":\\\"http://cj.sina.cn/articles/view/1931238691/731c5d2301901pjje?finpagefr\\u003dp_104\\\",\\\"shorturl\\\":\\\"cj.sina.cn\\\",\\\"title\\\":\\\"Rain, snow, strong winds, and cooling are coming! Next week, Qingdao's weather will change! - Finance Headlines\\\",\\\"desc\\\":\\\"For the next two days, the clear and warm weather trend will continue, with the city's maximum temperature reaching between 7 and 11 degrees, which is conducive to pre-holiday cleaning and Spring Festival travel. In general, for most of next week, there will be no significant cold air influence, with weak winds and small temperature fluctuations. However, for inland areas, although it doesn't feel like the fourth nine-day period of winter during the day, the diurnal temperature range is large, ...\\\",\\\"attributes\\\":{\\\"desc_truncate\\\":0,\\\"MainBody_truncate\\\":1},\\\"MainBody\\\":\\\"It's the third and fourth nine-day periods of winter\\\\nWinter is ending and spring is coming. At 4:00 on January 20, we will welcome the last of the twenty-four solar terms—Major Cold\\\\nIt is expected that from January 19 to 21,\\\\ntemperatures in most of the country will continue to rise steadily,\\\\nand we will welcome the Major Cold solar term with an even warmer 'posture'.\\\\nThis round of warming will be long-lasting and widespread,\\\\nand temperatures in various places will reach their recent highs.\\\\nStarting from the 23rd,\\\\na strong cold front will affect most of our country,\\\\nand bring widespread rain and snow.\\\\nIt will bring a 6 to 10°C drop in temperature to most areas,\\\\nwith some areas seeing a drop of more than 12°C,\\\\naccompanied by winds of force 4 to 6.\\\\nShandong Provincial Meteorological Station at 16:00 on January 19, 2025\\\\nreleased a short-term weather forecast for the province\\\\nFrom the night of the 19th to the day of the 20th, the province will be clear to partly cloudy. North wind shifting to south wind, force 3–4.\\\\nMinimum temperature: around -5°C in northwestern and central Shandong, and around -3°C in other areas.\\\\nMaximum temperature: around 12°C in Liaocheng, Heze, and Jining, around 6°C in northern coastal areas, and around 9°C in other areas.\\\\nFrom the night of the 20th to the day of the 21st, the province will be clear to partly cloudy. South wind shifting to north wind, force 3–4.\\\\nMinimum temperature: around -1°C in coastal areas, and around -3°C in other areas.\\\\nMaximum temperature: around 10°C in northwestern Shandong and the peninsula, and around 13°C in other areas.\\\\nFrom the night of the 21st to the day of the 22nd, Heze, Jining, and Liaocheng will have partly cloudy to cloudy weather with light rain in some areas, while other areas will have partly cloudy weather. North wind, force 3–4.\\\\nMinimum temperature: around 1°C in southern Shandong and coastal areas, and around -2°C in other areas.\\\\nMaximum temperature: in...\\\"},{\\\"RawUrl\\\":\\\"https://m.163.com/dy/article/JM9AHHJC0550E6NG.html?spss\\u003ddy_author\\\",\\\"sc_name\\\":\\\"structure_web_info\\\",\\\"time\\\":\\\"1737270399\\\",\\\"hostname\\\":\\\"NetEase Subscription\\\",\\\"article_title\\\":\\\"Rain, snow! Cooling! Next week, Linyi's weather will change!\\\",\\\"url\\\":\\\"https://m.163.com/dy/article/JM9AHHJC0550E6NG.html?spss\\u003ddy_author\\\",\\\"shorturl\\\":\\\"m.163.com\\\",\\\"title\\\":\\\"Rain, snow! Cooling! Next week, Linyi's weather will change! - NetEase Subscription\\\",\\\"desc\\\":\\\"In short, next week's rain, snow, and cooling will affect a wide area, and the cold of winter may return. It is currently the peak of the Spring Festival travel rush, so friends with travel plans should pack enough clothes and adjust their itineraries according to the weather changes. However, the forecast is still far out, and the weather may still change, so it is necessary to keep a close watch. Spread the word! Let everyone know! The video account has been updated...\\\",\\\"attributes\\\":{\\\"desc_truncate\\\":0,\\\"MainBody_truncate\\\":1},\\\"MainBody\\\":\\\"Although it is now the fourth nine-day period of winter\\\\nLinyi is experiencing significant warming\\\\nToday's maximum temperature reached 12°C\\\\nSpecific weather forecast\\\\nThis afternoon to tonight, clear to partly cloudy, north wind force 3, temperature 12 to -3°C;\\\\nFrom the day of the 20th to the night, clear to partly cloudy, north wind shifting to south wind force 3, temperature 11 to -1°C;\\\\nFrom the day of the 21st to the night, clear to partly cloudy, south wind shifting to east wind force 3–4, temperature 12 to -1°C.\\\\nHowever\\\\nNext week, the weather will change\\\\nAccording to the latest forecast from the Shandong Provincial Meteorological Station\\\\nFrom the 19th to the 21st, the province will be clear to partly cloudy\\\\nwith rising temperatures\\\\nFrom the 22nd to the 25th, a weak cold front will affect the area\\\\nwith light rain and snow in southern Shandong\\\\nWeather forecast for the next three days in the province\\\\nFrom the day of the 19th to the night, the province will be clear to partly cloudy. The peninsula area will have a north wind of force 3–4, while other areas will have a north wind shifting to a south wind of force 3–4.\\\\nNighttime minimum temperature: around -5°C in northwestern and central Shandong, and around -3°C in other areas.\\\\nMaximum temperature: around 11°C in southern Shandong, around 5°C in northern coastal areas, and around 8°C in other areas.\\\\nFrom the day of the 20th to the night, the province will be clear to partly cloudy. The peninsula area will have a north wind shifting to a south wind of force 3–4, while other areas will have a south wind of force 3–4.\\\\nNighttime minimum temperature: around -1°C in coastal areas, and around -3°C in other areas.\\\\nMaximum temperature: around 13°C in Heze and Liaocheng, around 7°C in the peninsula area, and around 10°C in other areas.\\\\nFrom the day of the 21st to the night, northwestern Shandong will have partly cloudy to cloudy weather, while other areas will have partly cloudy weather. South wind shifting to north wind, force 3–4.\\\\nNighttime minimum temperature: in...\\\"}],\\\"@attributes\\\":{\\\"total\\\":760082,\\\"searchtime\\\":339,\\\"status\\\":\\\"OK\\\"}}}\"}","contentType":"JSON","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:20"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"According to","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:24"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" the search","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:24"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" results","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:24"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":", next week's weather","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:24"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" forecast is as follows:\n\n-","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:24"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" **January 2","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:24"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"2 (Monday","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:25"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":")**: Partly","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:25"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" cloudy, with temperatures gradually","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:25"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" rising. The daytime high","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:25"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" will be around 17","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:25"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"°C, and the nighttime low","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:25"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" will be around 7°C","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:25"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":".\n- **January","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:26"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" 23","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:26"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" (Tuesday)**","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:26"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":": Partly cloudy,","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:26"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" with temperatures continuing to rise.","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:27"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" The daytime high will be around","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:27"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" 18°C,","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:27"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" and the nighttime low will be around","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:27"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" 8°C.\n-","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:27"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" **January 2","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:27"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"4 (Wednesday","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:28"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":")**: Partly","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:28"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" cloudy to cloudy,","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:28"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" with light rain in some areas","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:28"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":". The daytime high will be","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:28"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" around 14°C","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:29"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":", and the nighttime low will be","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:29"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" around 7°C.\n","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:29"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"- **January","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:30"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" 25 (","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:30"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"Thursday)**:","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:30"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" Cloudy to light rain","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:30"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":". The daytime high will be","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:30"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" around 13°C","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:30"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":", and the nighttime low will be","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:31"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" around 5°C.\n","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:31"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"- **January","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:31"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" 26 (","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:31"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"Friday)**:","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:31"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" Light rain. The daytime","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:31"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" high will be around 9","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:31"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"°C, and the nighttime low","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:32"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" will be around 2°C","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:33"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":".\n- **January","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:33"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" 27","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:33"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" (Saturday)**","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:34"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":": Cloudy to clear","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:34"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":". The daytime high will be","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:34"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" around 8°C,","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:34"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" and the nighttime low will be around","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:34"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" -1°C.\n","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:34"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"- **January","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:34"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" 28 (","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:35"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"Sunday)**","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:35"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":": Clear. The daytime","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:35"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" high will be around 1","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:35"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"0°C, and the nighttime","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:35"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" low will be around 1","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:35"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"°C.\n\n Additionally,","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:35"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" starting from January 2","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:36"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"4,","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:36"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" a strong","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:36"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" cold front will bring","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:36"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" widespread","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:36"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" rain, snow, and cooling","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:36"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":". Especially on January","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:37"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" 27","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:37"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" (Saturday) and","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:37"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" January 28","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:37"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" (Sunday","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:37"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":"), temperatures will drop","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:37"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" significantly. Stay","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:38"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" warm and plan","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:38"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":" your travel accordingly.","contentType":"TEXT","extraInfo":null,"stop":false,"time":"2025-01-21 16:57:38"}

data:{"versionId":"439xzzdxwg","modelId":"qwen2.5-72b-instruct","threadId":"wx4nvjkvad","replayId":"7x6p2wrbav","role":"assistant","roleDisplayName":"","messageType":"Answer","contentGroup":"","content":null,"contentType":"TEXT","extraInfo":null,"stop":true,"time":"2025-01-21 16:57:38"}

Examples

Success response JSON format
{
  "success": true,
  "dataType": "null",
  "time": "2024-01-01 00:00:00",
  "errCode": "0",
  "message": "ok",
  "data": {
    "versionId": "w4paqoezm2",
    "traceId": "5bdb9809856c58acb92001f8ae65773c",
    "threadId": "4vlag5ken3",
    "functionCallResponses": [
      {
        "functionName": "web_search",
        "displayName": "搜索引擎",
        "functionArgs": "{\\\"query\\\":\\\"2025年1月28日到2月3日天气预报\\\"}",
        "result": "下周天气晴朗",
        "startTime": "2025-01-21 16:37:14",
        "endTime": "2025-01-21 16:37:14"
      }
    ],
    "response": {
      "id": "d91d9afa-7cfc-4235-b012-a6f8e6ffa443",
      "modelId": "qwen-plus",
      "choices": [
        {
          "index": 0,
          "message": {
            "role": "assistant",
            "roleDisplayName": "assistant",
            "content": "下周天气都不错"
          },
          "finishReason": "stop"
        }
      ],
      "created": 1737448637,
      "time": "2025-01-21T16:37:17.497206762"
    },
    "inputTokens": 766,
    "outputTokens": 988
  },
  "requestId": "EF4B5C9B-3BC8-5171-A47B-4C5CF3DC3258",
  "cost": 0
}

Error codes

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.
Token Plan
Model Playground
Fine-tuning
Model Compression
Statistics and Monitoring
Support